
{{ define "title" }}
  <!-- This will override the default value set in baseof.html; i.e., "{{.Site.Title}}" in the original example-->
  {{ .Title }} &ndash; {{ .Site.Title }}
{{ end }}


{{ define "meta" }}

        <meta name="twitter:title" content="{{ .Title }}">
        <meta property="og:title" content="{{ .Title }}" />
        <meta name="twitter:description" content="{{ .Summary }}">
        <meta property="og:description" content="{{ .Summary }}" />
        <meta property="og:url" content="{{.Permalink}}" />

{{ range first 1 (.Resources.ByType "image") }}
        {{ $author := .Name | replaceRE  "-" " " | replaceRE "(.png|.jpg)" "" }}
        {{ $author_page := print "/authors/" (.Name | replaceRE "(.png|.jpg)" "")}}
        <meta name="twitter:card" content="summary_large_image">
        {{ $image_url := .RelPermalink | absURL }}
        <meta name="twitter:image" content="{{- $image_url -}}">
        <meta name="image" property="og:image" content="{{- $image_url -}}">
         <meta name="author" content="{{- $author -}}">
{{ end }}

{{ end }}

{{ define "main" }}
{{ $title := .Title }}

<div class="illustrations-main">
    <div class="illustrations">
        {{ range .Resources.ByType "image" }}
            {{ $author := .Name | replaceRE  "-" " " | replaceRE "(.png|.jpg)" "" }}
            {{ $author_page := print "/authors/" (.Name | replaceRE "(.png|.jpg)" "")}}
            <figure>
                <img src="{{ .RelPermalink }}" alt="{{ $title }}"/>
                <figcaption>{{ $title }} par <a href="{{ $author_page }}">{{ $author }}</a></figcaption>
            </figure>
        {{ end }}
    </div>
    <div class="illustration-content">
        <h1>{{ $title }}</h1>
        {{ .Content }}

    </div>
</div>
{{ end }}
